# Equal
<span class="source-link">[[Source]](src/builtin/compare.md#L5)</span>
```pony
primitive val Equal is
  Equatable[(Less val | Equal val | Greater val)] ref
```

#### Implements

* [Equatable](builtin-Equatable)\[([Less](builtin-Less) val | [Equal](builtin-Equal) val | [Greater](builtin-Greater) val)\] ref

---

## Constructors

### create
<span class="source-link">[[Source]](src/builtin/compare.md#L5)</span>


```pony
new val create()
: Equal val^
```

#### Returns

* [Equal](builtin-Equal) val^

---

## Public Functions

### string
<span class="source-link">[[Source]](src/builtin/compare.md#L6)</span>


```pony
fun box string()
: String iso^
```

#### Returns

* [String](builtin-String) iso^

---

### eq
<span class="source-link">[[Source]](src/builtin/compare.md#L19)</span>


```pony
fun box eq(
  that: (Less val | Equal val | Greater val))
: Bool val
```
#### Parameters

*   that: ([Less](builtin-Less) val | [Equal](builtin-Equal) val | [Greater](builtin-Greater) val)

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/builtin/compare.md#L20)</span>


```pony
fun box ne(
  that: (Less val | Equal val | Greater val))
: Bool val
```
#### Parameters

*   that: ([Less](builtin-Less) val | [Equal](builtin-Equal) val | [Greater](builtin-Greater) val)

#### Returns

* [Bool](builtin-Bool) val

---

